<?php include("_ayarlar.php"); ?>
<?php include("_fonksiyonlar.php"); ?>
<?php include("_header.php"); ?>

<section class="section">
    <div class="container">

<?php 
    $eposta = $_POST["eposta"];
    $parola = md5(sha1($_POST["parola"]));
    $cerez = @$_POST["cerez"]; # Kullanıcı kutucuğu işaretlemezse hata verme

    $sql = "SELECT * FROM kullanici WHERE eposta = '$eposta' AND parola = '$parola' ";

    $tablo = $vt->query($sql); # oturum açan kullanıcının bilgilerinin yer aldığı tablo

    if($tablo->num_rows==1){
        $satir = $tablo->fetch_assoc(); # tablonun satıra parçalanması
        $ad = $satir["ad"]; # satırın alanlara parçalanması
        $soyad = $satir["soyad"]; # satırın alanlara parçalanması
        $oturum = $satir["oturum"]; # satırın alanlara parçalanması

        echo '<div class="alert alert-success" role="alert">
            <h4 class="alert-heading">Hoş geldiniz, '.$ad.' '.$soyad.'!</h4>
            <p>Oturum açma işlemi başarılı.</p>
            <hr>
            <p class="mb-0">Ana sayfaya yönlendiriliyorsunuz.</p>
        </div>';

        # 3 saniye sonra index.php'ye yönlendirme kodu
        $_SESSION["oturum"]=$oturum;
        if($cerez=="on") setcookie("oturum", "$oturum", time() + (86400 * 30), "/"); // 86400 = 1 gün
        header("Refresh: 3; url=index.php");
    }
    else{
        echo '<div class="alert alert-danger" role="alert">
            <h4 class="alert-heading">Böyle bir kullanıcı bulunamadı!</h4>
            <p>Lütfen tekrar deneyiniz.</p>
            <hr>
            <p class="mb-0">Oturum açma sayfasına yönlendiriliyorsunuz.</p>
        </div>';

        header("Refresh: 3; url=oturum-ac.php");
    }
?>

    </div>
</section>

<?php include("_footer.php"); ?>